/*********************************************************************
 *     Humidity Sensor Module Firmware
 *********************************************************************
 * FileName:        main.h
 * Dependencies:    none
 * Processor:       Microchip PIC18(L)F14K22
 * Compiler:        Microchip XC8 V1.20
 *
 * SOFTWARE IS PROVIDED "AS IS."  DIGI-KEY EXPRESSLY DISCLAIMS ANY
 * WARRANTY OF ANY KIND, WHETHER EXPRESS OR IMPLIED, INCLUDING BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT. IN NO EVENT SHALL DIGI-KEY
 * BE LIABLE FOR ANY INCIDENTAL, SPECIAL, INDIRECT OR CONSEQUENTIAL
 * DAMAGES, LOST PROFITS OR LOST DATA, HARM TO YOUR EQUIPMENT, COST OF
 * PROCUREMENT OF SUBSTITUTE GOODS, TECHNOLOGY OR SERVICES, ANY CLAIMS
 * BY THIRD PARTIES (INCLUDING BUT NOT LIMITED TO ANY DEFENSE THEREOF),
 * ANY CLAIMS FOR INDEMNITY OR CONTRIBUTION, OR OTHER SIMILAR COSTS.
 * DIGI-KEY ALSO DISCLAIMS ANY LIABILITY FOR PATENT OR COPYRIGHT
 * INFRINGEMENT.
 *
 * Author: K. Culkins
 * Version: Initial Release v1.00
 * Date: 5 Nov, 2013
 *               
 * Revisions:
 * By              Date            Comment
 * ------------------------------------------------------------------
 *
 *
 ********************************************************************/

/***********************************************************************
 * main.h
 *
 * Header file for companion main.c file
 * Function prototypes
 *
 ***********************************************************************/

#ifndef __MAIN_H
#define __MAIN_H

#define OUTPUT 0;
#define INPUT 1;
#define HIGH 1;
#define LOW 0;

// Following used for PIC internal oscillator setting.
// UART and ADC are confgured appropriately per PIC clock speed
// Uncomment for internal clock speed
//#define ONEMHZ
//#define FOURMHZ
#define EIGHTMHZ

void Init_ports(void);
void ADC_init(void);

#endif  /* __MAIN_H */
